﻿using DatacontextDemo.Infrastructure;
using DatacontextDemo.ViewModel;
using DatacontextDemo.XamlFiles;
using StructureMap;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;

namespace DatacontextDemo
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        public App()
        {
            Bootstrapper.Initialise();
        }

        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);
            IMainWindowViewModel window = ObjectFactory.GetInstance<IMainWindowViewModel>();
            MainWindow = (MainWindow)window.Window;
            MainWindow.ShowDialog();
        }
    }
}
