﻿using DataContextDemo.Common;
using StructureMap;

namespace DataContextDemo.Common
{
    public class BaseViewModel : BaseNotification, IViewModel
    {
        #region Constructor

        public BaseViewModel(IView view, IContainer container)
        {
            View = view;
            View.DataContext = this;
            Container = container;
        }

        public BaseViewModel(IContainer container)
        {
            Container = container;
        }

        #endregion

        #region Public Properties

        public IContainer Container { get; set; }

        public IView View { get; set; }

        protected IView GetView<T>() where T : IViewModel
        {
            return Container.GetInstance<T>().View;
        }

        #endregion
    }
}