﻿using StructureMap;

namespace DataContextDemo.Common
{
    public class BaseWindowViewModel : BaseNotification, DataContextDemo.Common.IWindowViewModel
    {
        #region Constructor
        public BaseWindowViewModel(IWindow window, IContainer container)
        {
            Window = window;
            Window.DataContext = this;
            Container = container;
        }

        #endregion

        #region Public Properties

        public IView View { get; set; }

        public IContainer Container { get; set; }

        public IWindow Window { get; set; }

        #endregion

        #region Protected Helper Methods

        protected void ShowView<T>() where T : IViewModel
        {
            View = Container.GetInstance<T>().View;
        }
        public IView GetView<T>() where T:IViewModel
        {
            return Container.GetInstance<T>().View;
        }

        #endregion
    }
}