﻿using DatacontextDemo.ViewModel;
using DataContextDemo.Common;
using DatacontextDemo.XamlFiles;
using StructureMap;

namespace DatacontextDemo.Infrastructure
{
    public static class Bootstrapper
    {
        public static void Initialise()
        {
            ObjectFactory.Initialize(OnInitialise);
        }

        private static void OnInitialise(IInitializationExpression x)
        {
            x.For<IMainWindow>().Singleton().Use<MainWindow>();
            x.For<IMainWindowViewModel>().Singleton().Use<MainWindowViewModel>();

            x.For<ITextBoxControlView>().Use<TextBoxControl>();
            x.For<ITextBoxControlViewModel>().Use<TextBoxControlViewModel>();
        }
    }
}
